SELECT DISTINCT(id_producto) 
INTO zProductos_Faltantes
FROM cbtes_items i WHERE not exists (SELECT 1 FROM Productos p where p.Id_Producto = i.Id_Producto)

---------------------------------------------------------------------
DECLARE @Id_producto VARCHAR(14)

DECLARE curProd CURSOR FOR

SELECT id_producto FROM  zProductos_Faltantes

OPEN curProd
FETCH NEXT FROM curProd INTO @Id_producto
WHILE @@FETCH_STATUS = 0
BEGIN


INSERT INTO Productos (Id_Producto, Descripcion_Detallada, Descripcion_Resumida)
VALUES (@Id_producto, @Id_producto, @Id_producto)

FETCH NEXT FROM curProd INTO @Id_producto
END
CLOSE curProd
DEALLOCATE curProd

---------------------------------------------------------------------------------
DROP TABLE zProductos_Faltantes

-----------------------------------------------------------------------------------
ALTER TABLE Cbtes_Items  ADD  CONSTRAINT FK_CBTI_Productos FOREIGN KEY(Id_Producto)
REFERENCES Productos (Id_Producto)
GO